<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wcs/wcs/dt_log.js此处编写
 -->
 <template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_system/system/dt_log_pcs.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'id',
            footer: "Foots",
            cnName: '日志查询',
            name: 'wcs/dt_log_pcs',
            url: "/dt_log_pcs/",
            sortName: "createtime"
        });
        const editFormFields = ref({});
        const editFormOptions = ref([]);
        const searchFormFields = ref({ "describe": "", "status": "", "info": "", "createtime": "", "createuser": "", "dataForm": "" });
        const searchFormOptions = ref([
            [
                { "title": "名称", "field": "describe", "type": "like" },
                { "title": "详细信息", "field": "info", "type": "like" },
                { "title": "创建用户", "field": "createuser", "type": "like" },

            ],
            [
                { "title": "创建时间", "field": "createtime", "type": "datetime" },
                { "title": "来源", "field": "dataForm", "type": "like" },
                { "dataKey": "LogState", "data": [], "title": "状态", "field": "status", "type": "select" }
            ]
        ]);
        const columns = ref([{ field: 'id', title: 'id', type: 'guid', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'describe', title: '名称', type: 'string', width: 110, align: 'left', sort: true },
        { field: 'info', title: '详细信息', type: 'string', width: 150, align: 'left' },
        { field: 'status', title: '状态', bind: { key: 'LogState' }, type: 'string', width: 40, align: 'left' },
        { field: 'createuser', title: '创建用户', type: 'string', width: 60, align: 'left' },
        { field: 'createtime', title: '创建时间', type: 'string ', width: 90, align: 'left' },
        { field: 'dataForm', title: '来源', type: 'string', width: 60, align: 'left' }]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
